summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOliver Freyermuth <o.freyermuth@googlemail.com>2020-05-03 20:14:27 +0200
committerGuilherme Amadio <amadio@gentoo.org>2020-05-20 14:37:25 +0200
commit45dde5fb4ae5c121d20e0104c6e61e198e9114fe (patch)
tree7d7517e6890a9cd439131d27d909aa49b6e9dca2 /sci-physics
parentmedia-gfx/panini: Drop 0.72.0 (diff)
downloadgentoo-45dde5fb4ae5c121d20e0104c6e61e198e9114fe.tar.gz
gentoo-45dde5fb4ae5c121d20e0104c6e61e198e9114fe.tar.bz2
gentoo-45dde5fb4ae5c121d20e0104c6e61e198e9114fe.zip
sci-physics/vmc: New package
sci-physics/root[vmc] has become a separate project, and is now deprecated and marked for removal within sci-physics/root. Closes: https://github.com/gentoo/gentoo/pull/15630 Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Oliver Freyermuth <o.freyermuth@googlemail.com> Signed-off-by: Guilherme Amadio <amadio@gentoo.org>
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/vmc/Manifest1
-rw-r--r--sci-physics/vmc/metadata.xml24
-rw-r--r--sci-physics/vmc/vmc-1.0_p2.ebuild45
-rw-r--r--sci-physics/vmc/vmc-9999.ebuild45
4 files changed, 115 insertions, 0 deletions
diff --git a/sci-physics/vmc/Manifest b/sci-physics/vmc/Manifest
new file mode 100644
index 00000000000..59a8546f3d8
--- /dev/null
+++ b/sci-physics/vmc/Manifest
@@ -0,0 +1 @@
+DIST vmc-1.0_p2.tar.gz 91400 BLAKE2B d444a003433f4939f1b737ee8aa117a3230f83428ff9a79f8219a88bf5146104460a8be80ada9ab3a0a0edebc7d85d02bc51de053d54b06739d26cb0bbec3429 SHA512 51d6a8462c854411b595a20a2657b8012f19cd9c139f3341ccd72eb262473d01f6909ad22ee8d083f01cc5a2e43b2af265a7ed7c62a1285e8fab34c1b68ee3cd
diff --git a/sci-physics/vmc/metadata.xml b/sci-physics/vmc/metadata.xml
new file mode 100644
index 00000000000..3cf146831dd
--- /dev/null
+++ b/sci-physics/vmc/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>o.freyermuth@googlemail.com</email>
+ <name>Oliver Freyermuth</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>amadio@gentoo.org</email>
+ <name>Guilherme Amadio</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <use>
+ <flag name="c++11">Build using the C++11 standard</flag>
+ <flag name="c++14">Build using the C++14 standard</flag>
+ <flag name="c++17">Build using the C++17 standard</flag>
+ </use>
+ <upstream>
+ <remote-id type="github">vmc-project/vmc</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sci-physics/vmc/vmc-1.0_p2.ebuild b/sci-physics/vmc/vmc-1.0_p2.ebuild
new file mode 100644
index 00000000000..fdebc4ac86f
--- /dev/null
+++ b/sci-physics/vmc/vmc-1.0_p2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/vmc-project/${PN}.git"
+else
+ MY_PV=$(ver_rs 1-2 -)
+ SRC_URI="https://github.com/vmc-project/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+DESCRIPTION="The Virtual Monte Carlo core library."
+HOMEPAGE="https://vmc-project.github.io/"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+c++11 c++14 c++17 doc"
+
+REQUIRED_USE="^^ ( c++11 c++14 c++17 )"
+
+RDEPEND=">=sci-physics/root-6.18:=[c++11?,c++14?,c++17?,-vmc]"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen[dot] )"
+
+DOCS=(README.md History)
+
+src_compile() {
+ cmake_src_compile
+ if use doc; then
+ # TRAVIS_BUILD_DIR hardcoded in Doxyfile by upstream.
+ TRAVIS_BUILD_DIR="${S}" doxygen doc/doxygen/Doxyfile || die
+ fi
+}
+
+src_install() {
+ cmake_src_install
+ use doc && local HTML_DOCS=( doc/html/. )
+ einstalldocs
+}
diff --git a/sci-physics/vmc/vmc-9999.ebuild b/sci-physics/vmc/vmc-9999.ebuild
new file mode 100644
index 00000000000..fdebc4ac86f
--- /dev/null
+++ b/sci-physics/vmc/vmc-9999.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/vmc-project/${PN}.git"
+else
+ MY_PV=$(ver_rs 1-2 -)
+ SRC_URI="https://github.com/vmc-project/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+DESCRIPTION="The Virtual Monte Carlo core library."
+HOMEPAGE="https://vmc-project.github.io/"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+c++11 c++14 c++17 doc"
+
+REQUIRED_USE="^^ ( c++11 c++14 c++17 )"
+
+RDEPEND=">=sci-physics/root-6.18:=[c++11?,c++14?,c++17?,-vmc]"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen[dot] )"
+
+DOCS=(README.md History)
+
+src_compile() {
+ cmake_src_compile
+ if use doc; then
+ # TRAVIS_BUILD_DIR hardcoded in Doxyfile by upstream.
+ TRAVIS_BUILD_DIR="${S}" doxygen doc/doxygen/Doxyfile || die
+ fi
+}
+
+src_install() {
+ cmake_src_install
+ use doc && local HTML_DOCS=( doc/html/. )
+ einstalldocs
+}